Autoflex
Was dit behulpzaam?

REST/API

NL: Informatie over de Autoflex 10 REST/API

EN: Information about the Autoflex 10 REST/API

API/REST

All API/REST documentation will be in English

Credentials

All Autoflex 10 REST/API endpoints need a token, the token can be requested with the following endpoint

/authenticate

For the authtenticate endpoint the following information is mandatory

NamePurpose
api_keySpecific api_key per 3rd party, this provides the filter for the allowed end-points
An api_key can be requested by an email to [email protected] please supply the information why and what you want access
The api_key is in the UUID format
Please keep the api_key save and private to your organisation
organization_nameLeave this empty
username
password
Specify: username + password per client (klant)
tokenAfter providing the above information, the authenticate endpoint will return an unique token The format of the token is an UUID e.g.: 1112222-3344-5555-6666-888899999
For the rest of all our endpoints provide the token from the authenticate endpoint. This token is valid for 30 minutes make sure the token is still valid when making requests.
e.g. HTTP header token: 1112222-3344-5555-6666-888899999
CURL sample sql<br/>curl -X GET "https://www.autoflex10.dev/autoflex/servoy-service/velocity/webservice_v2/util/environment?username=<myusername>" -H "accept: */*" -H "token: 1112222-3344-5555-6666-888899999"<br/>

Testing

To test our API/REST endpoint use the following Swagger tool page:

https://openapi.autoflex10.dev/